'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

exports.default = kebabAndCamelCasify;


function kebabAndCamelCasify(obj) {
  return Object.keys(obj).reduce(function (result, key) {
    var camel = (0, _lodash.camelCase)(key);
    var kebab = (0, _lodash.kebabCase)(key);
    var val = obj[key];

    if ((0, _lodash.isPlainObject)(obj[key])) {
      val = kebabAndCamelCasify(val);
    }

    setIfPossible(result, camel, val);
    setIfPossible(result, kebab, val);

    return result;
  }, obj);
}

function setIfPossible(obj, key, val) {
  if (String(key).length && !(key in obj)) {
    obj[key] = val;
  }
}